Intel® oneAPI Base Toolkit
Support for core tools and libraries to build and deploy high-performance data-centric applications

invalid command name "is-avail"

benfulton
Beginner
902 Views

Just installed the latest version of the toolkit. After running modulefiles-setup.sh I get:

 

> module load intel/compiler
Loading compiler version 2021.2.0
Lmod has detected the following error: /N/soft/modules_devel/bigred200/intel/compiler/2021.2.0: (intel/compiler/2021.2.0): invalid
command name "is-avail"

 

It looks like is-avail was introduced in environment modules 4.8. Is there any way to use other module environments?

 

0 Kudos
12 Replies
NoorjahanSk_Intel
Moderator
859 Views

Hi,

Thanks for reaching out to us.


Could you please try using setvars.sh script file to set up the development environment, as module files are alternate to setvars or vars script files.


Refer:

https://software.intel.com/content/www/us/en/develop/documentation/oneapi-programming-guide/top/onea...


Also please do let us know why you are opting module files for setting up the environment, is there any specific requirement.


Thanks & Regards

Noorjahan.




benfulton
Beginner
855 Views

I'm sure setvars works well, but we use environment modules (specifically lmod).

 

We administer dozens of packages on a high-performance cluster using modules. Unlike setvars, modules allow you to unload variables in the environment as well as load them.

 

NoorjahanSk_Intel
Moderator
832 Views

Hi,

The issue raised by you will be fixed in next release of oneAPI.

Meanwhile you can try using modules with tcl.

Please refer:

https://software.intel.com/content/www/us/en/develop/documentation/oneapi-programming-guide/top/onea...


Thanks & Regards 

Noorjahan


benfulton
Beginner
825 Views

We use lmod, but thanks.

 

Can you be more specific about what the fix will be? Will the modules files work with older versions of environment modules?

 

NoorjahanSk_Intel
Moderator
804 Views

Hi,

>>Can you be more specific about what the fix will be? 

Environment modules with lmod is currently not supported. The support is expected in the upcoming releases on oneAPI.

>>Will the modules files work with older versions of environment modules?

As of now tcl modules are supported on oneAPI.


Thanks & Regards

Noorjahan.



NoorjahanSk_Intel
Moderator
757 Views

Hi,


Reminder: Could you please let us know if your issue is resolved ? so that we can close this thread from our end.


Thanks & Regards

Noorjahan.


benfulton
Beginner
748 Views

I won't know if the issue is resolved until I see the future oneAPI release that supports LMod.

 

NoorjahanSk_Intel
Moderator
720 Views

Hi,

Apologies for any confusion. 

We will keep you posted about the upcoming release when it is fixed.


Thanks & Regards

Noorjahan.


NoorjahanSk_Intel
Moderator
660 Views

Thanks for your patience.

Lmod feature is enabled in the latest oneAPI release (2021.3.0)

 

Please refer the below link to install latest oneAPI release:

https://software.intel.com/content/www/us/en/develop/tools/oneapi/base-toolkit/download.html

https://software.intel.com/content/www/us/en/develop/documentation/get-started-with-intel-oneapi-bas...

 

Please refer below link regarding Modulefiles and it's requirements:

https://software.intel.com/content/www/us/en/develop/documentation/oneapi-programming-guide/top/onea...

 

Please update to latest release(2021.3.0) and do let us know your experience.

 

Thanks & Regards

Noorjahan

 

NoorjahanSk_Intel
Moderator
622 Views

Hi,

Reminder:

Could you please confirm whether your issue is resolved, so that we can close this thread from our end or else please let us know if you get any issues.


Thanks & Regards

Noorjahan.


benfulton
Beginner
615 Views

Yes, close the thread. Thanks!

NoorjahanSk_Intel
Moderator
593 Views

Hi,

Thanks for your confirmation.

we are closing this thread as your issue is resolved.

If you require any additional assistance from Intel, please start a new thread.


Thanks & Regards

Noorjahan.


Reply